import React, { Component } from 'react';
import {PlusOutlined} from "@ant-design/icons";
import {Button, message} from "antd";
import ProForm, {
  ModalForm,
  ProFormText,
  ProFormDateRangePicker,
  ProFormSelect,
} from '@ant-design/pro-form';
import {
  addSupPermission
} from '../services/API';
import {
  urlType
} from '@/utils/dataDic';

class NewPermission extends Component{
  constructor(props) {
    super(props);
    this.state={
      showDesc: false,
    };
    this.addClick = this.addClick.bind(this);
    this.newPermission = this.newPermission.bind(this);
  }

  addClick=()=>{
    this.setState({
      showDesc: true
    });
  }

  newPermission= async(values) => {
    if(this.props.userDetaile){
      if (!this.state.auto) {
        message.warning('请输入上级模块')
        return false;
      }
    }
    const msg = await addSupPermission(values);
    if(msg.error.length === 0){
      message.success('新增成功')
      return true;
    }else {
      message.warning(msg.error[0].message);
      return false;
    }
    // {
    //   id: this.state.ids,
    //     name: this.state.name, //接口名称
    //   url: this.state.url, //接口路径
    //   type: this.state.urlType || "0",
    //   superId: this.state.auto, //接口上级模板功能
    //   showOrder: this.state.showOrder,
    // }
  }

  render() {
    return (
        <ModalForm
          title="新建权限"
          initialValues={{
            type: 0
          }}
          trigger={
            <Button
              type="primary"
              key='addSupPermission'
              icon={<PlusOutlined />}
              onClick={this.addClick}>
              新增权限
            </Button>
          }
          modalProps={{
            onCancel: () => this.setState({ showDesc: true }),
          }}
          onFinish={async (values) => {
            this.newPermission(values);
          }}
        >
          <ProForm.Group>
            <ProFormText
              required
              width="xl"
              name="name"
              label="接口名称："
              placeholder="请输入名称"
            />
          </ProForm.Group>
          <ProForm.Group>
            <ProFormText
              required
              width="xl"
              name="url"
              label="接口路径："
              placeholder="请输入接口路径"
            />
          </ProForm.Group>
          <ProForm.Group>
            <ProFormSelect
              required
              width="xl"
              name="type"
              label="接口类型："
              placeholder="请选择接口类型"
              disabled
              request={async () => urlType}
            />
          </ProForm.Group>
        </ModalForm>
    );
  }
}

export default NewPermission
