import React, { Component }from 'react';
import {Button, Popconfirm} from "antd";
import { PlusOutlined } from "@ant-design/icons";
import DataTable from "@/components/common/DataTable";
import NewPermission from './components/newPermission';

class Jurisdiction extends Component{
  constructor(props) {
    super(props);
    this.state={
      columns:[
        {
        title: '接口名称',
        dataIndex: 'name',
        key: 'name',
        width: '400px'
      }, {
        title: '接口路径',
        dataIndex: 'url',
        key: 'url',
      }, {
        title: '操作',
        dataIndex: 'id',
        key: 'id',
        render: (text, record) => {
          return(
            <div>
              {
                record.url.indexOf('.html#')<=0 &&
                <Button
                  type="primary"
                  style={{marginRight:'10px'}}
                  onClick={(e)=>{
                    e.stopPropagation();
                    this.addNextURL(record)}
                  }>
                  新建下级权限
                </Button>
              }
              <Popconfirm
                title="是否真的删除?"
                onConfirm={(e)=>{this.delectRow(record)}}
                okText="确认"
                cancelText="取消"
                placement="topLeft">
                <Button type="danger" onClick={(e)=>{e.stopPropagation()}}>删除</Button>
              </Popconfirm>
            </div>
          )
        }
      }],
    };

    this.delectRow = this.delectRow.bind(this);
  }



  delectRow=()=>{

  }

  addNextURL=()=>{

  }

  render() {
    const ref = React.createRef();

    return (
      <>
        <DataTable
          ref={ref}
          headerTitle='权限管理'
          url='/api/admin/permissions'
          method='post'
          rowKey='id'
          scroll={{ x: 900 }}
          columns={this.state.columns}
          search={false}
          pagination={false}
          toolBarRender={[
            <NewPermission key='NewPermission'/>
          ]}
        />
      </>
    )
  }
}

export default Jurisdiction;
